#ifndef WIDGET_H
#define WIDGET_H

#include <QEvent>
#include <QWidget>
#include <qsystemtrayicon.h>
#include <QDebug>

namespace Ui {
class Widget;
}

/**
 *  主窗口
 *  @brief The Widget class
 */


class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = nullptr);
    ~Widget();

private:
    Ui::Widget *ui;
    void  CreateSystemTrayIcon();
};

#endif // WIDGET_H
